@media screen and (max-width: 768px) {
	.box-circle {
	    width: 8em;
	    height: 8em;
	}
	.carousel-inner {
	    display: flex;
	    justify-content: center; /* จัดตำแหน่งให้ card อยู่ตรงกลาง */
	    flex-wrap: wrap; /* อนุญาตให้มีหลายแถวถ้าจำเป็น */
	  }

    .card {
	    margin: 10px; /* เพิ่ม margin เพื่อความสวยงาม */
	  }
}

@media screen and (max-width: 767px) {
	.thumbnail-tille {
		position: absolute;
	    left: 0;
	    right: 0;
	    margin-left: auto;
	    margin-right: auto;
	}
	
	.thumbnail-tille .card-title {
		padding-top: 0px !important;
	}
	
	.thumbnail-home {
		margin-top: 35px;
  			margin-bottom: 30px;
	}
	
}

@media (min-width: 500px) {
	
	.container-automation  {
		max-width: 274px;
	    width: 100%;
	   justify-content: space-evenly;
	}
}	

@media (min-width: 768px) {
	
	.container-automation  {
		max-width: 728px;
	    width: 100%;
	   justify-content: space-evenly;
	}
}	

@media (min-width: 970px) {
	
	.container-automation  {
		max-width: 955px;
	    width: 100%;
	   justify-content: space-evenly;
	}
}	
	
@media (min-width: 1200px) {
	
	.container-automation  {
		max-width: 1182px;
	    width: 100%;
	   justify-content: space-evenly;
	}
}

@media (min-width: 1500px) {
	
	.container-automation  {
		max-width: 1408px;
	    width: 100%;
	   justify-content: space-evenly;
	}
}


.automation_bg{
    background-image : url('/img/automation/bg2.jpg') !important;
    display: block;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	 background-size: cover;
	 background-attachment: fixed;
	 color: #ffffff;
	 text-shadow: 2px 4px 3px rgb(0 0 0 / 5%);
 	 height: 1076px;
}

.automation_text1{
    position: relative;
  	padding: 2rem 0;
    background: #a70009;
    color: white;
    text-align: center!important;
    font-size: 1.7rem;
    font-weight: bold;
}

.automation_card_slide{
    height: 350px;
    background-color: rgb(255 255 255 / 75%);
}

.container-automation  {
/*   display: flex;
 */  width: 100%;
  justify-content: space-evenly;
  /* flex-wrap: wrap; */
}

.card {
  margin: 10px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 2px 9px rgb(0 0 0 / 57%);
  overflow: hidden;
  width: 200px;
  cursor: pointer;
/*   height: 210px; */
}

.card-header {
  background-color: rgb(255 255 255);
  border-bottom: 0px;
  padding: 1rem 1rem;
}
    
.card-header img {
  width: 100%;
  object-fit: cover;
}

.card-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 20px;
  padding-top: 0px;
/*   min-height: 250px;
 */
 }

.tag {
  color: #a70009;
  text-align: center!important;
  font-size: 1.2rem;
  align-self: center;
  font-weight: bold;
}

.hoverDiv{
	cursor: pointer; 
}

.hoverDiv:hover{
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
	
.hoverDiv:hover .tag{
	text-decoration: underline;
}
	
.card-body p {
  font-size: 13px;
  margin: 0 0 40px;
}

.user {
  display: flex;
  margin-top: auto;
}

.user img {
  border-radius: 50%;
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

.user-info h5 {
  margin: 0;
}

.user-info small {
  color: #545d7a;
}

.vertical-center {
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.container-x {
  height: 287px;
  position: relative;
  padding-top: 45px;
}

.card-x {
   margin-top: 40px;
}

.txtheader {
	color: #A70009;
    font-size: 2.5rem;
    font-weight: bold;
    top: -8px;
    position: relative;
}

.txtcontent {
	color: black;
    font-weight: bold;
    font-size: 1.4rem;
}

.quotation-1 {
    font-size: 0.65rem !important;
    padding-right: 5px;
}

.quotation-2 {
    font-size: 1rem !important;
}

.txtautomation {
	letter-spacing: 6px; 
	font-weight: inherit;
 	font-size: 5rem;
	font-weight: bold;
	top: 290px;
    position: relative;
    text-shadow: 2px 2px 4px black;
}

.automation_headtxt{
    height: 600px;
    background-color: rgb(0 0 0 / 28%);
}

.brand .active,
.brand .active + .carousel-item,
.brand .active + .carousel-item + .carousel-item,
.brand .active + .carousel-item + .carousel-item + .carousel-item,
.brand .active + .carousel-item + .carousel-item + .carousel-item  + .carousel-item, 
.brand .active + .carousel-item + .carousel-item + .carousel-item  + .carousel-item + .carousel-item {
    display: block;
}

.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left),
.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item,
.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item,
.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item + .carousel-item + .carousel-item +.carousel-item {
    transition: none;
}

.brand .carousel-item-next,
.brand .carousel-item-prev {
  position: relative;
  transform: translate3d(0, 0, 0);
}

.brand .active.carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item{
    position: absolute;
    top: 0;
    right: -16.7%;
    z-index: -1;
    display: block;
    visibility: visible;
}

.brand .active.carousel-item-left + .carousel-item-next.carousel-item-left,
.brand .carousel-item-next.carousel-item-left + .carousel-item,
.brand .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item,
.brand .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
    position: relative;
    transform: translate3d(-100%, 0, 0);
    visibility: visible;
}

.brand .carousel-item-prev.carousel-item-right {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    display: block;
    visibility: visible;
}

.brand .active.carousel-item-right + .carousel-item-prev.carousel-item-right,
.brand .carousel-item-prev.carousel-item-right + .carousel-item,
.brand .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item,
.brand .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item,
.brand .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
    position: relative;
    transform: translate3d(100%, 0, 0);
    visibility: visible;
    display: block;
    visibility: visible;
}

.submit-uni2{
  color: #000000; 
  background-color: #a8a8a8;
  border-color: #a8a8a8;
  letter-spacing: 1.2px;
}

.submit-uni2:hover {
  color: #ffffff;
  background-color: #82d2b9;
  border-color: #82d2b9;
}

.col-refer {
	padding-right: 0px;
}

     